> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/relations/relation.md).

# Relation

## Overview

Each item represents a relation created in the active solution.

## Properties Summary

See [Relation](/reference/servoycore/object-model/solution/relation.md#property-summary) for properties that can be set on a **Relation** from Properties View.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                         | Summary                                                                                    |
| ----------------------------------------------- | ------------------------------------------------------------------------------------------ |
| [Open relation](#open-relation)                 | Opens the [Relation Editor](/reference/servoy-developer/object-editors/relation-editor.md) |
| [Search for References](#search-for-references) | Searches all references in your active solution                                            |
| [Create relation](#create-relation)             | Opens the [Relation Editor](/reference/servoy-developer/object-editors/relation-editor.md) |
| [Duplicate relation](#duplicate-relation)       | Creates a (deep) copy of the relation                                                      |
| [Delete relation](#delete-relation)             | Deletes relation from workspace                                                            |

## Commands Details

The details for each command available on this item via right-click context menu:

### Open relation

Opens the [Relation Editor](/reference/servoy-developer/object-editors/relation-editor.md) in order to view or update the relation.

### Search for References

Searches all references of the relation in your active solution.

### Create relation

Opens the [Relation Editor](/reference/servoy-developer/object-editors/relation-editor.md) in order to create a new relation.

### Duplicate relation

Creates a (deep) copy of the relation. You can choose the new relation name.

### Delete relation

Deletes the relation from workspace.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/relations/relation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
